Imports System
Imports EnvDTE
Imports EnvDTE80
Imports EnvDTE90
Imports EnvDTE90a
Imports EnvDTE100
Imports System.Diagnostics

Public Module MeineModule

    ' Fügt am Anfang der Datei einen Kommentar mit dem Dateinamen ein
    Sub Anfangskommentar()
        Dim doc As EnvDTE.Document
        doc = DTE.ActiveDocument
        If doc.Language <> EnvDTE.Constants.dsCPP Then
            MsgBox("Keine C/C++-Quell- oder -Headerdatei!", vbOKOnly, "Makro-Fehler")
            MsgBox(doc.Language + " vs. " + EnvDTE.Constants.dsCPP)
        Else
            DTE.ActiveDocument.Selection.StartOfDocument()
            DTE.ActiveDocument.Selection.Text = "// " + doc.Name
            DTE.ActiveDocument.Selection.NewLine()
        End If
    End Sub


End Module
